Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.gisgraphy.domain.valueobject
Enum Output.OutputStyle

    java.lang.Object
      java.lang.Enum<Output.OutputStyle>
          com.gisgraphy.domain.valueobject.Output.OutputStyle

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Output.OutputStyle>

Enclosing class:
  Output

    public static enum Output.OutputStyle

extends java.lang.Enum<Output.OutputStyle>

All the possible fulltext search output style verbosity Short (basic informations) : feature_id, name, fully_qualified_name, zipcode (if city), placetype, country_code, country_name
Medium (More informations) : Short + lat, lon, feature_class, feature_code, population, fips
Long (AlternateNames +adm informations) : Medium + alternateNames, adm1_name, adm2_name, adm3_name, Adm4_name, adm1_code, Adm2_code, Adm3_code, Adm4_code
Full (alternatenames for adm and country): Long + country_alternate_name_, adm1_alternate_name_, adm2_alternate_name_

Enum Constant Summary
`FULL`
`LONG`
`MEDIUM`
`SHORT`

Method Summary
`static Output.OutputStyle` | `getDefault()`
`abstract java.lang.String` | `getFieldList(java.lang.String languageCode)`
`static Output.OutputStyle` | `getFromString(java.lang.String style)`
`static Output.OutputStyle` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Output.OutputStyle[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### SHORT

    public static final Output.OutputStyle SHORT

### MEDIUM

    public static final Output.OutputStyle MEDIUM

### LONG

    public static final Output.OutputStyle LONG

### FULL

    public static final Output.OutputStyle FULL

Method Detail

### values

    public static final Output.OutputStyle[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(Output.OutputStyle c : Output.OutputStyle.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static Output.OutputStyle valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### getFieldList

    public abstract java.lang.String getFieldList(java.lang.String languageCode)

  Returns:
    the list of field tha the format must return

### getDefault

    public static Output.OutputStyle getDefault()

  Returns:
    the default outputStyle

### getFromString

    public static Output.OutputStyle getFromString(java.lang.String style)

  Parameters:
    `style` - the style as String
  Returns:
    the outputStyle from the String or the default OutputStyle if the style can not be determine
  See Also:
    `getDefault()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2009. All Rights Reserved.